﻿namespace TabsStudioSelector
{
    public class Properties
    {
        public static readonly System.Windows.DependencyProperty IsSelectedProjectProperty;

        static Properties()
        {
            IsSelectedProjectProperty = System.Windows.DependencyProperty.RegisterAttached(
                "IsSelectedProject", typeof(bool), typeof(Properties));
        }

        public static void SetIsSelectedProject(System.Windows.UIElement element, bool value)
        {
            element.SetValue(IsSelectedProjectProperty, value);
        }

        public static bool GetIsSelectedProject(System.Windows.UIElement element)
        {
            return (bool)element.GetValue(IsSelectedProjectProperty);
        }
    }
}
